This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 503486 - after hibernate, laptop thinks that it's still on AC power when it isn't
after hibernate, laptop thinks that it's still on AC power when it isn't
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-01 06:49 EDT by Jeff Layton
Modified: 2014-06-18 03:38 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-09 10:34:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
output from gnome-power-bugreport.sh (2.72 KB, text/plain)
2009-06-01 06:49 EDT, Jeff Layton
no flags Details

  None (edit)
Description Jeff Layton 2009-06-01 06:49:26 EDT
Created attachment 346072 [details]
output from gnome-power-bugreport.sh

Opening this as a hal bug, since I'm not sure where to dig down farther than that. The problem is that sometimes, when I wake up my laptop from hibernation or suspend, it will think that it's still running on AC power even though the power adapter isn't plugged in.

Unfortunately, I haven't yet come up with the "recipe" to make this happen every time. It seems like I need to make the machine hibernate while on AC power and then disconnect the power while it's asleep (or maybe while it's going into hibernate). Then a little while later, wake it up with the AC unplugged.

When it comes back, the gnome power icon will still look like it's plugged in, and it'll run the laptop with the screen at full brightness, etc...

Version-Release number of selected component (if applicable):

hal-0.5.12-26.20090226git.fc11.i586

The problem happens about 50% of the time. I have a hard time making it happen at will, so I think the amount of time between hibernation and wakeup might matter.

Attaching output from gnome-power-bugreport.sh. The laptop was running on battery at the time, but hal seems to report that it's still on AC power.
Comment 1 Jeff Layton 2009-06-01 06:57:42 EDT
Just tested it and here's what I did:

Hit the gnome panel power button and then told the laptop to hibernate.

While it was shutting down, I closed the lid and unplugged it.

Waited about 5s and turned it back on.

The gnome power tray icon still had the AC "plug" thing showing and the screen was at full brightness.

It's probably also relevant that if I plug the laptop into AC at that point and then unplug it again, it then recognizes that it's running on battery.

It also seems like if I leave it in that state and the battery gets very low, it'll eventually recognize that it's running on battery and will throw the warning about shutting down, etc...
Comment 2 Bug Zapper 2009-06-09 12:55:25 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Scott Glaser 2009-09-09 09:55:50 EDT
Have you tried with the latest hal package in Fedora 10, Fedora 11 or tried Rawhide? In either case, can you let us know whether the issue is still happening, and give the current version of the HAL packages you're using?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Jeff Layton 2009-09-09 10:08:47 EDT
I've patched this laptop up to rawhide. Now suspend and hibernate are completely busted (see bug 471711). So, it's difficult to gauge whether this bug is still present or not.

I'm not sure what the right course of action is here...maybe close this bug and I'll reopen it if it's still present after suspend/hibernate are fixed.
Comment 5 Scott Glaser 2009-09-09 10:34:45 EDT
Jeff,

Based on the information you provided in comment 4 I will close this bug.  Should you again encounter this bug, please file a new bug against the applicable component.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.